Introduction The IBM Watson™ Text to Speech service provides APIs that use IBM's speech-synthesis capabilities to synthesize text into natural-sounding speech in a variety of languages, dialects, and voices. The service supports at least one male or female voice, sometimes both, for each language. The audio is streamed back to the client with minimal delay. For speech synthesis, the service supports a synchronous HTTP Representational State Transfer REST interface and a WebSocket interface. Both interfaces support plain text and SSML input. SSML is an XML-based markup language that provides text annotation for speech-synthesis applications. The WebSocket interface also supports the SSML
Method Path Summary GET /v1/voices List voices GET /v1/voices/{voice} Get a voice GET /v1/synthesize Synthesize audio (GET) POST /v1/synthesize Synthesize audio GET /v1/pronunciation Get pronunciation POST /v1/customizations Create a custom model GET /v1/customizations List custom models POST /v1/customizations/{customization_id} Update a custom model GET /v1/customizations/{customization_id} Get a custom model DELETE /v1/customizations/{customization_id} Delete a custom model POST /v1/customizations/{customization_id}/words Add custom words GET /v1/customizations/{customization_id}/words List custom words PUT /v1/customizations/{customization_id}/words/{word} Add a custom word GET /v1/customizations/{customization_id}/words/{word} Get a custom word DELETE /v1/customizations/{customization_id}/words/{word} Delete a custom word GET /v1/customizations/{customization_id}/prompts List custom prompts GET /v1/customizations/{customization_id}/prompts/{prompt_id} Get a custom prompt DELETE /v1/customizations/{customization_id}/prompts/{prompt_id} Delete a custom prompt GET /v1/speakers List speaker models GET /v1/speakers/{speaker_id} Get a speaker model DELETE /v1/speakers/{speaker_id} Delete a speaker model DELETE /v1/user_data Delete labeled data